%global srcname recline

Name:           python-%{srcname}
Summary:        Library for building interactive command-based applications in Python
Version:        2022.6
Release:        1%{?dist}
# BSD-3-Clause: recline
# Apache-2.0: bundled(argcomplete)
# MIT: bundled(docstring-parser)
License:        BSD-3-Clause AND Apache-2.0 AND MIT
URL:            https://github.com/NetApp/recline
Source:         %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
Writing argparse-based command line applications can become tedious,
repetitive, and difficult to do right. Relax and
let this library free you from that burden.

This library helps you quickly implement an interactive command-based
application in Python.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
Provides:       bundled(python3dist(argcomplete))
Provides:       bundled(python3dist(docstring-parser))

%description -n python3-%{srcname} %{_description}

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%license %{python3_sitelib}/recline/vendor/argcomplete/LICENSE.rst
%license %{python3_sitelib}/recline/vendor/docstring_parser/LICENSE

%prep
%autosetup -n %{srcname}-%{version}
# Stop installing tests
sed -i -e "s/.*'tests',/]/" setup.py
sed -i -e '/tests/d' pyproject.toml setup.py

%generate_buildrequires
%pyproject_buildrequires -R

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files recline
